org.wso2.carbon.device.mgt.mobile.windows.api.common.util

## Class WindowsAPIUtils

- java.lang.Object
- - org.wso2.carbon.device.mgt.mobile.windows.api.common.util.WindowsAPIUtils

-     public class WindowsAPIUtils
      extends Object

  Class for get Windows API utilities.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `WindowsAPIUtils()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static org.wso2.carbon.device.mgt.common.DeviceIdentifier` | `convertToDeviceIdentifierObject(String deviceId)`
    `static org.wso2.carbon.webapp.authenticator.framework.config.AuthenticatorConfig` | `getBSTAuthenticatorConfig()`
    `static org.wso2.carbon.device.mgt.core.service.DeviceManagementProviderService` | `getDeviceManagementService()`
    `static org.wso2.carbon.device.mgt.common.notification.mgt.NotificationManagementService` | `getNotificationManagementService()`
    `static org.wso2.carbon.identity.oauth2.OAuth2TokenValidationService` | `getOAuth2TokenValidationService()`
    `static javax.ws.rs.core.Response` | `getOperationResponse(List<String> deviceIDs, org.wso2.carbon.device.mgt.common.operation.mgt.Operation operation)`
    `static List<? extends org.wso2.carbon.device.mgt.common.operation.mgt.Operation>` | `getPendingOperations(org.wso2.carbon.device.mgt.common.DeviceIdentifier deviceIdentifier)`
    `static org.wso2.carbon.policy.mgt.core.PolicyManagerService` | `getPolicyManagerService()`
    `static javax.ws.rs.core.MediaType` | `getResponseMediaType(String acceptHeader)`
    `static org.wso2.carbon.device.mgt.common.configuration.mgt.PlatformConfiguration` | `getTenantConfiguration()`
    `static List<org.wso2.carbon.device.mgt.common.configuration.mgt.ConfigurationEntry>` | `getTenantConfigurationData()` This method is used to get tenant configurations.
    `static int` | `getTenantIdOFUser(String username)`
    `static void` | `startTenantFlow(AuthenticationInfo authenticationInfo)`
    `static void` | `updateDeviceInfo(org.wso2.carbon.device.mgt.common.DeviceIdentifier deviceId, org.wso2.carbon.device.mgt.common.device.details.DeviceInfo deviceInfo)` This method is used to update Device Information.
    `static void` | `updateDeviceLocation(org.wso2.carbon.device.mgt.common.device.details.DeviceLocation deviceLocation)` This method is used to update device location.
    `static void` | `updateOperation(String deviceId, org.wso2.carbon.device.mgt.common.operation.mgt.Operation operation)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WindowsAPIUtils

          public WindowsAPIUtils()

  - ### Method Detail

    - #### convertToDeviceIdentifierObject

          public static org.wso2.carbon.device.mgt.common.DeviceIdentifier convertToDeviceIdentifierObject(String deviceId)

    - #### getDeviceManagementService

          public static org.wso2.carbon.device.mgt.core.service.DeviceManagementProviderService getDeviceManagementService()

    - #### getNotificationManagementService

          public static org.wso2.carbon.device.mgt.common.notification.mgt.NotificationManagementService getNotificationManagementService()

    - #### getResponseMediaType

          public static javax.ws.rs.core.MediaType getResponseMediaType(String acceptHeader)

    - #### getOperationResponse

          public static javax.ws.rs.core.Response getOperationResponse(List<String> deviceIDs,
                                                       org.wso2.carbon.device.mgt.common.operation.mgt.Operation operation)
                                                                throws org.wso2.carbon.device.mgt.common.DeviceManagementException,
                                                                       org.wso2.carbon.device.mgt.common.operation.mgt.OperationManagementException,
                                                                       org.wso2.carbon.device.mgt.common.InvalidDeviceException

      Throws:
        `org.wso2.carbon.device.mgt.common.DeviceManagementException`
        `org.wso2.carbon.device.mgt.common.operation.mgt.OperationManagementException`
        `org.wso2.carbon.device.mgt.common.InvalidDeviceException`

    - #### getPolicyManagerService

          public static org.wso2.carbon.policy.mgt.core.PolicyManagerService getPolicyManagerService()

    - #### updateOperation

          public static void updateOperation(String deviceId,
                             org.wso2.carbon.device.mgt.common.operation.mgt.Operation operation)
                                      throws org.wso2.carbon.device.mgt.common.operation.mgt.OperationManagementException

      Throws:
        `org.wso2.carbon.device.mgt.common.operation.mgt.OperationManagementException`

    - #### getPendingOperations

          public static List<? extends org.wso2.carbon.device.mgt.common.operation.mgt.Operation> getPendingOperations(org.wso2.carbon.device.mgt.common.DeviceIdentifier deviceIdentifier)
                                                                                                                throws org.wso2.carbon.device.mgt.common.operation.mgt.OperationManagementException,
                                                                                                                       org.wso2.carbon.device.mgt.common.DeviceManagementException

      Throws:
        `org.wso2.carbon.device.mgt.common.operation.mgt.OperationManagementException`
        `org.wso2.carbon.device.mgt.common.DeviceManagementException`

    - #### getTenantConfiguration

          public static org.wso2.carbon.device.mgt.common.configuration.mgt.PlatformConfiguration getTenantConfiguration()
                                                                                                                  throws org.wso2.carbon.device.mgt.common.DeviceManagementException

      Throws:
        `org.wso2.carbon.device.mgt.common.DeviceManagementException`

    - #### getTenantIdOFUser

          public static int getTenantIdOFUser(String username)
                                       throws org.wso2.carbon.device.mgt.common.DeviceManagementException

      Throws:
        `org.wso2.carbon.device.mgt.common.DeviceManagementException`

    - #### getOAuth2TokenValidationService

          public static org.wso2.carbon.identity.oauth2.OAuth2TokenValidationService getOAuth2TokenValidationService()

    - #### getBSTAuthenticatorConfig

          public static org.wso2.carbon.webapp.authenticator.framework.config.AuthenticatorConfig getBSTAuthenticatorConfig()

    - #### startTenantFlow

          public static void startTenantFlow(AuthenticationInfo authenticationInfo)

    - #### getTenantConfigurationData

          public static List<org.wso2.carbon.device.mgt.common.configuration.mgt.ConfigurationEntry> getTenantConfigurationData()
                                                                                                                         throws org.wso2.carbon.device.mgt.common.DeviceManagementException

      This method is used to get tenant configurations.
      Returns:
        List of Configurations entries.
      Throws:
        `org.wso2.carbon.device.mgt.common.DeviceManagementException`

    - #### updateDeviceInfo

          public static void updateDeviceInfo(org.wso2.carbon.device.mgt.common.DeviceIdentifier deviceId,
                              org.wso2.carbon.device.mgt.common.device.details.DeviceInfo deviceInfo)
                                       throws org.wso2.carbon.device.mgt.core.device.details.mgt.DeviceDetailsMgtException

      This method is used to update Device Information.
      Parameters:
        `deviceId` - DeviceID to need to update.
        `deviceInfo` - Device Info to be update/
      Throws:
        `org.wso2.carbon.device.mgt.core.device.details.mgt.DeviceDetailsMgtException` - Error occurs while updating Device Info.

    - #### updateDeviceLocation

          public static void updateDeviceLocation(org.wso2.carbon.device.mgt.common.device.details.DeviceLocation deviceLocation)
                                           throws org.wso2.carbon.device.mgt.core.device.details.mgt.DeviceDetailsMgtException

      This method is used to update device location.
      Parameters:
        `deviceLocation` - Device coordination related information.
      Throws:
        `org.wso2.carbon.device.mgt.core.device.details.mgt.DeviceDetailsMgtException` - Error occurs while updating Device location.

Copyright © 2017 WSO2. All rights reserved.